CREATE TABLE cjm_claim_lines_all (
    CLAIM_LINE_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    CLAIM_ID                    NUMBER(18, 0)     NOT NULL,
    LINE_NUMBER                 NUMBER            NOT NULL,
    SOURCE_OBJECT_TYPE_ID       NUMBER(18, 0) ,
    SOURCE_OBJECT_TYPE_CODE     VARCHAR2(120) ,
    SOURCE_OBJECT_ID            NUMBER(18, 0) ,
    SOURCE_OBJECT_LINE_ID       NUMBER(18, 0) ,
    ACTIVITY_TYPE_CODE          VARCHAR2(120) ,
    ACTIVITY_ID                 NUMBER(18, 0) ,
    ITEM_LEVEL_CODE             VARCHAR2(120) ,
    ITEM_ID                     NUMBER(18, 0) ,
    LINE_SOURCE_TYPE_CODE       VARCHAR2(80)  ,
    DESCRIPTION                 VARCHAR2(960) ,
    QUANTITY                    NUMBER        ,
    QUANTITY_UOM_CODE           VARCHAR2(12)  ,
    RATE                        NUMBER        ,
    AMOUNT                      NUMBER        ,
    ACCTD_AMOUNT                NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    EXCHANGE_RATE_TYPE          VARCHAR2(120) ,
    EXCHANGE_RATE_DATE          DATE          ,
    EXCHANGE_RATE               NUMBER        ,
    BU_ID                       NUMBER(18, 0)     NOT NULL,
    EARNINGS_ASSOCIATED_FLAG    VARCHAR2(4)   ,
    LINE_COMMENTS               VARCHAR2(4000),
    PRORATE_EARNINGS_FLAG       VARCHAR2(4)   ,
    OBJECT_TYPE                 VARCHAR2(120) ,
    OBJECT_ID                   NUMBER(18, 0) ,
    DISPLAY_FLAG                VARCHAR2(4)   ,
    SETTLEMENT_LINE_FLAG        VARCHAR2(4)   ,
    ASSOCIATION_ID              NUMBER(18, 0) ,
    PARENT_LINE_ID              NUMBER(18, 0) ,
    MEMO_LINE_SEQ_ID            NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600) ,
    ATTRIBUTE_CHAR1             VARCHAR2(600) ,
    ATTRIBUTE_CHAR2             VARCHAR2(600) ,
    ATTRIBUTE_CHAR3             VARCHAR2(600) ,
    ATTRIBUTE_CHAR4             VARCHAR2(600) ,
    ATTRIBUTE_CHAR5             VARCHAR2(600) ,
    ATTRIBUTE_CHAR6             VARCHAR2(600) ,
    ATTRIBUTE_CHAR7             VARCHAR2(600) ,
    ATTRIBUTE_CHAR8             VARCHAR2(600) ,
    ATTRIBUTE_CHAR9             VARCHAR2(600) ,
    ATTRIBUTE_CHAR10            VARCHAR2(600) ,
    ATTRIBUTE_CHAR11            VARCHAR2(600) ,
    ATTRIBUTE_CHAR12            VARCHAR2(600) ,
    ATTRIBUTE_CHAR13            VARCHAR2(600) ,
    ATTRIBUTE_CHAR14            VARCHAR2(600) ,
    ATTRIBUTE_CHAR15            VARCHAR2(600) ,
    ATTRIBUTE_CHAR16            VARCHAR2(600) ,
    ATTRIBUTE_CHAR17            VARCHAR2(600) ,
    ATTRIBUTE_CHAR18            VARCHAR2(600) ,
    ATTRIBUTE_CHAR19            VARCHAR2(600) ,
    ATTRIBUTE_CHAR20            VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER2           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER3           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER4           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER5           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER6           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER7           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER8           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER9           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER10          NUMBER(22, 0) ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6)  ,
    CLAIM_LINE_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    CLAIM_ID                    NUMBER(18, 0)     NOT NULL,
    LINE_NUMBER                 NUMBER            NOT NULL,
    SOURCE_OBJECT_TYPE_ID       NUMBER(18, 0) ,
    SOURCE_OBJECT_TYPE_CODE     VARCHAR2(120) ,
    SOURCE_OBJECT_ID            NUMBER(18, 0) ,
    SOURCE_OBJECT_LINE_ID       NUMBER(18, 0) ,
    ACTIVITY_TYPE_CODE          VARCHAR2(120) ,
    ACTIVITY_ID                 NUMBER(18, 0) ,
    ITEM_LEVEL_CODE             VARCHAR2(120) ,
    ITEM_ID                     NUMBER(18, 0) ,
    QUANTITY                    NUMBER        ,
    QUANTITY_UOM_CODE           VARCHAR2(12)  ,
    RATE                        NUMBER        ,
    AMOUNT                      NUMBER        ,
    ACCTD_AMOUNT                NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    EXCHANGE_RATE_TYPE          VARCHAR2(120) ,
    EXCHANGE_RATE_DATE          DATE          ,
    EXCHANGE_RATE               NUMBER        ,
    BU_ID                       NUMBER(18, 0)     NOT NULL,
    EARNINGS_ASSOCIATED_FLAG    VARCHAR2(4)   ,
    COMMENTS                    CLOB          ,
    PRORATE_EARNINGS_FLAG       VARCHAR2(4)   ,
    OBJECT_TYPE                 VARCHAR2(120) ,
    OBJECT_ID                   NUMBER(18, 0) ,
    DISPLAY_FLAG                VARCHAR2(4)   ,
    SETTLEMENT_LINE_FLAG        VARCHAR2(4)   ,
    ASSOCIATION_ID              NUMBER(18, 0) ,
    PARENT_LINE_ID              NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600) ,
    ATTRIBUTE_CHAR1             VARCHAR2(600) ,
    ATTRIBUTE_CHAR2             VARCHAR2(600) ,
    ATTRIBUTE_CHAR3             VARCHAR2(600) ,
    ATTRIBUTE_CHAR4             VARCHAR2(600) ,
    ATTRIBUTE_CHAR5             VARCHAR2(600) ,
    ATTRIBUTE_CHAR6             VARCHAR2(600) ,
    ATTRIBUTE_CHAR7             VARCHAR2(600) ,
    ATTRIBUTE_CHAR8             VARCHAR2(600) ,
    ATTRIBUTE_CHAR9             VARCHAR2(600) ,
    ATTRIBUTE_CHAR10            VARCHAR2(600) ,
    ATTRIBUTE_CHAR11            VARCHAR2(600) ,
    ATTRIBUTE_CHAR12            VARCHAR2(600) ,
    ATTRIBUTE_CHAR13            VARCHAR2(600) ,
    ATTRIBUTE_CHAR14            VARCHAR2(600) ,
    ATTRIBUTE_CHAR15            VARCHAR2(600) ,
    ATTRIBUTE_CHAR16            VARCHAR2(600) ,
    ATTRIBUTE_CHAR17            VARCHAR2(600) ,
    ATTRIBUTE_CHAR18            VARCHAR2(600) ,
    ATTRIBUTE_CHAR19            VARCHAR2(600) ,
    ATTRIBUTE_CHAR20            VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER2           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER3           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER4           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER5           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER6           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER7           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER8           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER9           NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER10          NUMBER(22, 0) ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6)  ,
    DESCRIPTION                 VARCHAR2(960) ,
    LINE_COMMENTS               VARCHAR2(4000),
    MEMO_LINE_SEQ_ID            NUMBER(18, 0) ,
    LINE_SOURCE_TYPE_CODE       VARCHAR2(80)  ,
    CONSTRAINT pk_cjm_claim_lines_all PRIMARY KEY (CLAIM_LINE_ID, CLAIM_LINE_ID)
);
